# Constant Field Values

## Contents

- org.mariadb.*

## org.mariadb.*

org.mariadb.jdbc.DatabaseMetaData
Modifier and Type
Constant Field
Value
`public static final String`
`DRIVER_NAME`
`"MariaDB Connector/J"`

org.mariadb.jdbc.plugin.authentication.addon.ClearPasswordPlugin
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE`
`"mysql_clear_password"`

org.mariadb.jdbc.plugin.authentication.standard.CachingSha2PasswordPlugin
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE`
`"caching_sha2_password"`
org.mariadb.jdbc.plugin.authentication.standard.NativePasswordPlugin
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE`
`"mysql_native_password"`

org.mariadb.jdbc.util.constants.Capabilities
Modifier and Type
Constant Field
Value
`public static final long`
`CACHE_METADATA`
`68719476736L`
`public static final int`
`CLIENT_DEPRECATE_EOF`
`16777216`
`public static final int`
`CLIENT_INTERACTIVE`
`1024`
`public static final int`
`CLIENT_MYSQL`
`1`
`public static final int`
`CLIENT_PROTOCOL_41`
`512`
`public static final int`
`CLIENT_SESSION_TRACK`
`8388608`
`public static final int`
`COMPRESS`
`32`
`public static final int`
`CONNECT_ATTRS`
`1048576`
`public static final int`
`CONNECT_WITH_DB`
`8`
`public static final long`
`EXTENDED_TYPE_INFO`
`34359738368L`
`public static final int`
`FOUND_ROWS`
`2`
`public static final int`
`IGNORE_SIGPIPE`
`4096`
`public static final int`
`IGNORE_SPACE`
`256`
`public static final int`
`LOCAL_FILES`
`128`
`public static final int`
`LONG_FLAG`
`4`
`public static final long`
`MARIADB_RESERVED`
`8589934592L`
`public static final int`
`MULTI_RESULTS`
`131072`
`public static final int`
`MULTI_STATEMENTS`
`65536`
`public static final int`
`NO_SCHEMA`
`16`
`public static final int`
`ODBC`
`64`
`public static final int`
`PLUGIN_AUTH`
`524288`
`public static final int`
`PLUGIN_AUTH_LENENC_CLIENT_DATA`
`2097152`
`public static final long`
`PROGRESS`
`4294967296L`
`public static final int`
`PROGRESS_OLD`
`536870912`
`public static final int`
`PS_MULTI_RESULTS`
`262144`
`public static final int`
`RESERVED`
`16384`
`public static final int`
`SECURE_CONNECTION`
`32768`
`public static final int`
`SSL`
`2048`
`public static final long`
`STMT_BULK_OPERATIONS`
`17179869184L`
`public static final int`
`TRANSACTIONS`
`8192`
org.mariadb.jdbc.util.constants.ColumnFlags
Modifier and Type
Constant Field
Value
`public static final short`
`AUTO_INCREMENT`
`512`
`public static final short`
`BINARY_COLLATION`
`128`
`public static final short`
`BLOB`
`16`
`public static final short`
`ENUM`
`256`
`public static final short`
`MULTIPLE_KEY`
`8`
`public static final short`
`NO_DEFAULT_VALUE_FLAG`
`4096`
`public static final short`
`NOT_NULL`
`1`
`public static final short`
`PRIMARY_KEY`
`2`
`public static final short`
`SET`
`2048`
`public static final short`
`TIMESTAMP`
`1024`
`public static final short`
`UNIQUE_KEY`
`4`
`public static final short`
`UNSIGNED`
`32`
`public static final short`
`ZEROFILL`
`64`
org.mariadb.jdbc.util.constants.ConnectionState
Modifier and Type
Constant Field
Value
`public static final int`
`STATE_AUTOCOMMIT`
`8`
`public static final int`
`STATE_DATABASE`
`2`
`public static final int`
`STATE_NETWORK_TIMEOUT`
`1`
`public static final int`
`STATE_READ_ONLY`
`4`
`public static final int`
`STATE_TRANSACTION_ISOLATION`
`16`
org.mariadb.jdbc.util.constants.ServerStatus
Modifier and Type
Constant Field
Value
`public static final short`
`AUTOCOMMIT`
`2`
`public static final short`
`CURSOR_EXISTS`
`64`
`public static final short`
`DB_DROPPED`
`256`
`public static final short`
`IN_TRANSACTION`
`1`
`public static final short`
`LAST_ROW_SENT`
`128`
`public static final short`
`METADATA_CHANGED`
`1024`
`public static final short`
`MORE_RESULTS_EXISTS`
`8`
`public static final short`
`NO_BACKSLASH_ESCAPES`
`512`
`public static final short`
`PS_OUT_PARAMETERS`
`4096`
`public static final short`
`QUERY_NO_GOOD_INDEX_USED`
`16`
`public static final short`
`QUERY_NO_INDEX_USED`
`32`
`public static final short`
`QUERY_WAS_SLOW`
`2048`
`public static final short`
`SERVER_SESSION_STATE_CHANGED`
`16384`
org.mariadb.jdbc.util.constants.StateChange
Modifier and Type
Constant Field
Value
`public static final short`
`SESSION_TRACK_GTIDS`
`3`
`public static final short`
`SESSION_TRACK_SCHEMA`
`1`
`public static final short`
`SESSION_TRACK_STATE_CHANGE`
`2`
`public static final short`
`SESSION_TRACK_SYSTEM_VARIABLES`
`0`
`public static final short`
`SESSION_TRACK_TRANSACTION_CHARACTERISTICS`
`4`
`public static final short`
`SESSION_TRACK_TRANSACTION_STATE`
`5`